Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 817026 - mdadm: add volume's size expansion feature
Summary: mdadm: add volume's size expansion feature
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mdadm
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jes Sorensen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-27 13:20 UTC by Jes Sorensen
Modified: 2012-07-11 23:54 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-07 02:48:49 UTC


Attachments (Terms of Use)

Description Jes Sorensen 2012-04-27 13:20:29 UTC
Description of problem:
The attached series of patches adds a new feature: volume's size expansion.
This feature gives the ability to expand size of the last volume using any
amount of free space left in array.

Usage of expansion feature:
# mdadm --grow /dev/md/vol_name --size <number>
or
# mdadm --grow /dev/md/vol_name --size max
Environment variable MDADM_EXPERIMENTAL is required.

Additional info:
Series of 15 patches in attached tarball:
0001-FIX-Changes-in-0-case-for-reshape-position-verificat.patch
0002-imsm-FIX-Update-function-imsm_num_data_members-for-R.patch
0003-imsm-FIX-Add-volume-size-expand-support-to-imsm_anal.patch
0004-imsm-Add-new-metadata-update-for-volume-size-expansi.patch
0005-imsm-Execute-size-change-for-external-metatdata.patch
0006-FIX-Support-metadata-changes-rollback.patch
0007-imsm-FIX-Support-metadata-changes-rollback.patch
0008-FIX-Extend-size-of-raid0-array.patch
0009-FIX-Respect-metadata-size-limitations.patch
0010-FIX-Detect-error-and-rollback-metadata.patch
0011-imsm-Add-function-imsm_get_free_size.patch
0012-imsm-Support-setting-max-size-for-size-change-operat.patch
0013-imsm-FIX-Component-size-alignment-check.patch
0014-FIX-Size-change-is-possible-as-standalone-change-onl.patch
0015-FIX-Assembled-second-array-is-in-read-only-state-dur.patch

Comment 1 Fedora Update System 2012-05-02 10:09:27 UTC
mdadm-3.2.3-9.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mdadm-3.2.3-9.fc17

Comment 2 Fedora Update System 2012-05-02 10:15:30 UTC
mdadm-3.2.3-9.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mdadm-3.2.3-9.fc16

Comment 3 Fedora Update System 2012-05-02 10:19:18 UTC
mdadm-3.2.3-9.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mdadm-3.2.3-9.fc15

Comment 4 Fedora Update System 2012-05-02 20:34:24 UTC
Package mdadm-3.2.3-9.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mdadm-3.2.3-9.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7105/mdadm-3.2.3-9.fc17
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2012-05-10 14:48:50 UTC
mdadm-3.2.4-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mdadm-3.2.4-2.fc17

Comment 6 Fedora Update System 2012-05-10 14:51:27 UTC
mdadm-3.2.4-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mdadm-3.2.4-2.fc16

Comment 7 Fedora Update System 2012-05-10 14:54:11 UTC
mdadm-3.2.4-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mdadm-3.2.4-2.fc15

Comment 8 Fedora Update System 2012-05-15 16:36:15 UTC
mdadm-3.2.4-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mdadm-3.2.4-3.fc17

Comment 9 Fedora Update System 2012-05-15 16:42:38 UTC
mdadm-3.2.4-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mdadm-3.2.4-3.fc16

Comment 10 Fedora Update System 2012-05-15 16:47:20 UTC
mdadm-3.2.4-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mdadm-3.2.4-3.fc15

Comment 11 Fedora Update System 2012-05-21 15:08:11 UTC
mdadm-3.2.5-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mdadm-3.2.5-1.fc17

Comment 12 Fedora Update System 2012-05-21 15:14:31 UTC
mdadm-3.2.5-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mdadm-3.2.5-1.fc16

Comment 13 Fedora Update System 2012-05-21 15:20:04 UTC
mdadm-3.2.5-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mdadm-3.2.5-1.fc15

Comment 14 Fedora Update System 2012-06-07 02:48:49 UTC
mdadm-3.2.5-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2012-06-07 02:52:01 UTC
mdadm-3.2.5-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2012-06-26 07:16:22 UTC
mdadm-3.2.5-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mdadm-3.2.5-3.fc17

Comment 17 Fedora Update System 2012-07-11 23:54:11 UTC
mdadm-3.2.5-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.